Mailinglist Archive: opensuse-buildservice (266 mails)

< Previous Next >
Re: [opensuse-buildservice] prjconf Prefer: with distribution version check?
  • From: Hans-Peter Jansen <hpj@xxxxxxxxx>
  • Date: Thu, 31 Jan 2013 23:23:55 +0100
  • Message-id: <1392358.bu75zI3J2v@xrated>
Dear Jan,

Am Donnerstag, 31. Januar 2013, 18:35:59 schrieb Jan Engelhardt:
On Thursday 2013-01-31 10:57, Hans-Peter Jansen wrote:
Prereq: libmagic1

Hmm, has grown a new warning from this:
Ah my bad.

Preinstall: libmagic1

[ 178s] rpmbuild failed: 32512
[ 178s] re-running in verbose mode:
[ 178s] rpmbuild: error while loading shared libraries: libmagic.so.1:
cannot open shared object file: No such file or directory

For that, add

Keep: libmagic1

It's not that easy, because on the very first pass of that package build,
libmagic1 doesn't exist, because it is contained in the package file so far.

Here's the relevant part of my current prjconf: (home:frispete:tools)

Keep: patch file libmagic1 file-magic
Preinstall: libmagic1

For some reason, only 12.2/i586 is affected, but neither 12.2/both nor
11.1/both (most reasonable is that the other builds succeeded, and hence the
libmagic1 can be provided now..) The point is, how does OBS handle such
builds, that are splitted *after* the first build and are required during the
build (either as singleton, or later as package 'group').

The current state of related affairs feels random and immature.

Cheers,
Pete




--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups